be.fgov.ehealth.consultrn._1_0.core

## Class NameType

- java.lang.Object
- - be.fgov.ehealth.consultrn._1_0.core.NameType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class NameType
      extends Object
      implements Serializable

  The name group

  Java class for NameType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NameType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="First" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Middle" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Last" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
             <attribute name="ModificationDate" type="{urn:be:fgov:ehealth:consultRN:1_0:core}IncompleteDateType" />
             <attribute name="Origin" type="{urn:be:fgov:ehealth:consultRN:1_0:core}OriginType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFirst()` Gets the value of the first property.
    `String` | `getLast()` Gets the value of the last property.
    `String` | `getMiddle()` Gets the value of the middle property.
    `String` | `getModificationDate()` Gets the value of the modificationDate property.
    `OriginType` | `getOrigin()` Gets the value of the origin property.
    `void` | `setFirst(String value)` Sets the value of the first property.
    `void` | `setLast(String value)` Sets the value of the last property.
    `void` | `setMiddle(String value)` Sets the value of the middle property.
    `void` | `setModificationDate(String value)` Sets the value of the modificationDate property.
    `void` | `setOrigin(OriginType value)` Sets the value of the origin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameType

          public NameType()

  - ### Method Detail

    - #### getFirst

          public String getFirst()

      Gets the value of the first property.
      Returns:
        possible object is `String`

    - #### setFirst

          public void setFirst(String value)

      Sets the value of the first property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMiddle

          public String getMiddle()

      Gets the value of the middle property.
      Returns:
        possible object is `String`

    - #### setMiddle

          public void setMiddle(String value)

      Sets the value of the middle property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLast

          public String getLast()

      Gets the value of the last property.
      Returns:
        possible object is `String`

    - #### setLast

          public void setLast(String value)

      Sets the value of the last property.
      Parameters:
        `value` - allowed object is `String`

    - #### getModificationDate

          public String getModificationDate()

      Gets the value of the modificationDate property.
      Returns:
        possible object is `String`

    - #### setModificationDate

          public void setModificationDate(String value)

      Sets the value of the modificationDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrigin

          public OriginType getOrigin()

      Gets the value of the origin property.
      Returns:
        possible object is `OriginType`

    - #### setOrigin

          public void setOrigin(OriginType value)

      Sets the value of the origin property.
      Parameters:
        `value` - allowed object is `OriginType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.